post
https://apis.cequens.com/voice/v1/executionengine
Allowing you to create interactive voice experiences for your users. With this endpoint, you can send a call execution plan, which is an XML document containing instructions for the call, such as customer service calls or automated voice surveys.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Supported Call Execution Verbs and Attributes
<say>The <say> verb is used to play a text or speech synthesis markup language (SSML) message during the call.
Attributes Value schema Discerption reps [type number] default = 1 Number of repetition for the text lang [type text] Select Language code for example "arb" , "ar-AE" , "en-GB" , "en-US" , fr-FR . voice [type text] Select Voice ID for example for Arabic Ziena or Hala [ AE Accented bilingual voice] , for Urdu Uzma, Asad , for English Kendra, Joanna,Matthew enableNeural [ type boolean ] enable neural TTS that can produce even higher quality voices than its standard voices speed [ type float ] speed of the sound. it accepts these values 0, 0.5, 0.75, 1.0, 1.25 or 1.5. <begin> <say reps='3' speed= '2' voice='Kendra' enableDTMF='true'> Hello Just Call and test </say></begin><say lang="arb" voice="Zeina">"مرحبا بك فى سكونس" </say>
<play>The <play> verb is used to play an audio file during the call.
Attributes Value schema Discerption soundurl [type url] [Mandatory] The Url of the audio file to play we expect Audio PCM uncompressed 16bit 8khz mono. maxchar [ type number] The maximum number of characters to be gathered exitOnFirstDTMF [ type boolean] enables exiting the playback when DTMF is received stopchar [ type boolean ] The character used to stop the input gathering process. matchHash [ type boolean ] Set to true if a "#" entered by the caller should be treated as the stop character. waitduration [ type number ] The number of seconds to wait for the caller to start entering input. totaltimeout [ type number ] Maximum amount of time to wait (after the stop of the audio) for digits to be received default 4sec. innertimeout [ type number ] The number of seconds to wait between each input from the user dtmfCallbackURL [ type url ] The Url that you want to receive the captured input from user as HTTP Get method with querystring dtmf and callid <begin><play dtmfCallbackURL='https://link.com/dtmf' exitOnFirstDTMF='true' enableDTMF='true'> soundurl='www.test.com'></play></begin>
<record>The <record> verb is used to record the call audio.
Attributes Value schema Discerption terminateOn [type char] The default is #. A character that terminates recording. maxSilence [type number] The default is 60. The maximum number of seconds of silence that can occur during recording before it automatically terminates. maxDuration [type number] The maximum duration, in seconds, of the recording. default = 0 , which mean it can span over the total call duration if no other stopper option provided format [type text] The audio format to use for the recording. Possible values include mp3 and wav, among others. url [type url] The URL to which the recorded audio URL will be sent. playBeep [type boolen] the default is true. Whether or not to play a beep sound to indicate the start of recording. <begin><record maxDuration='30' format='wav' playBeep='true' recordURL='https://test.net/upload'> </record></begin>
<gather>The <gather> verb is used to collect user input during the call.
Attributes Value schema Discerption dtmfCallbackURL [type url] [Mandatory] "The Url that you want to receive the captured input from user as http GET method with queryparam callid and dtmf. We expect your Url endpoint is return a valid call ExecutionPlan xml repcount [type number] Number of times to play the text to the caller. lang [type text] Select Language code for example "arb" , "ar-AE" , "en-GB" , "en-US" , fr-FR . voice [type text] "Select Voice ID for example for Arabic Ziena or Hala [ AE Accented bilingual voice] , for Urdu Uzma, Asad , for English Kendra, Joanna,Matthew maxchar [type number] "The maximum number of characters to be gathered. stopchar [type character] The character used to stop the input gathering process. matchHash [type boolean] Set to true if a "#" entered by the caller should be treated as the stop character. waitduration [type number] The number of seconds to wait for the caller to start entering input. innertimeout [type number] "the number of seconds to wait between each input from the user" totaltimeout [type number] "Maximum amount of time to wait (after the stop of the audio) for digits to be received default 4sec." exitOnFirstDTMF [type boolean] enables exiting the playback when DTMF is received enableNeural [type boolean] enables neural TTS that can produce even higher quality voices than its standard voices (Higher Cost) <begin> <gather totaltimeout='6' innertimeout='2' enableNeural='true' waitduration='5' repcount='2' speed='1' voice='Kendra' dtmfCallbackURL='https://test.net' > Please enter engline sample </gather></begin>